<?xml version="1.0" encoding="utf-8" ?>
<c2eventsheet>
    <!--All the 'name' attributes are ignored by Construct 2 - they are there for readability only.-->
    <name>popup es</name>
    <events>
        <event-group description="" sid="382036409494633" title="Popup">
            <sub-events>
                <variable comment="index of correct array answer" constant="0" name="crrArrAnsIndex" sid="711723179833098" static="1" type="number">-1</variable>
                <variable comment="popup state time duraction" constant="1" name="POPUP_SHOWING_TIME" sid="814495663260084" static="1" type="number">3</variable>
                <variable constant="1" name="POPUP_ORGINY" sid="980145831038460" static="1" type="number">1624</variable>
                <variable constant="1" name="POPUP_TARGETY" sid="429935003372783" static="1" type="number">554</variable>
                <variable constant="1" name="SHOW_PORT_GAP" sid="131752910103262" static="1" type="number">50</variable>
                <variable comment="popup show timer tag" constant="1" name="POPUP_SHOW_TIMER_TAG" sid="377104534766355" static="1" type="text">popupShowTimerTag</variable>
                <event-group description="" inactive="1" sid="143522020003712" title="Popup End Audio group">
                    <sub-events>
                        <event-block sid="799834975138608">
                            <conditions>
                                <condition id="0" name="On ended" sid="476712913677666" type="Audio">
                                    <param id="0" name="Tag">&quot;correctOptVO&quot;</param>
                                </condition>
                            </conditions>
                            <actions>
                                <action id="-12" name="Set group active" sid="277450775048000" type="System">
                                    <param id="0" name="Group name">&quot;Popup End Audio group&quot;</param>
                                    <param id="1" name="State">0</param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-group>
                <event-block sid="573582972917777">
                    <conditions>
                        <condition id="0" name="On function" sid="442660172793720" type="Function">
                            <param id="0" name="Name">&quot;popup.show&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                    <sub-events>
                        <variable constant="1" name="YOFFSET" sid="599686100036843" static="0" type="number">-15</variable>
                        <variable constant="0" name="contentH" sid="929341597573741" static="0" type="number">0</variable>
                        <comment>this game all of index 0 is correct</comment>
                        <event-block sid="978830708431220">
                            <conditions />
                            <actions>
                                <action id="-9" name="Set value" sid="902392871423533" type="System">
                                    <param id="0" name="Variable">crrArrAnsIndex</param>
                                    <param id="1" name="Value">0</param>
                                </action>
                                <action id="-9" name="Set value" sid="959665084184062" type="System">
                                    <param id="0" name="Variable">gameStatus</param>
                                    <param id="1" name="Value">STATUS_POPUP</param>
                                </action>
                                <action id="-3" name="Create object" sid="757353546449729" type="System">
                                    <param id="0" name="Object to create">blur2</param>
                                    <param id="1" name="Layer">&quot;blur2&quot;</param>
                                    <param id="2" name="X">0</param>
                                    <param id="3" name="Y">0</param>
                                </action>
                                <action id="-7" name="Set size" sid="824645606097177" type="blur2">
                                    <param id="0" name="Width">LayoutWidth</param>
                                    <param id="1" name="Height">LayoutHeight</param>
                                </action>
                                <action id="0" name="Call function" sid="218404043984019" type="Function">
                                    <param id="0" name="Name">&quot;pauseRabbitAnimation&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="319402008990142">
                    <conditions>
                        <condition id="0" name="On function" sid="522537890075573" type="Function">
                            <param id="0" name="Name">&quot;popup.hide&quot;</param>
                        </condition>
                    </conditions>
                    <actions />
                </event-block>
                <event-block sid="166708824296604">
                    <conditions />
                    <actions />
                    <sub-events>
                        <comment>showed</comment>
                        <event-block sid="625094073939770">
                            <conditions />
                            <actions>
                                <action id="-12" name="Set group active" sid="996729904250155" type="System">
                                    <param id="0" name="Group name">&quot;Popup End Audio group&quot;</param>
                                    <param id="1" name="State">1</param>
                                </action>
                                <action id="0" name="Call function" sid="482976279894782" type="Function">
                                    <param id="0" name="Name">&quot;playCorrectOptionVO&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                        <event-block sid="520000372518033">
                            <conditions>
                                <condition id="-22" name="Else" sid="577926925530351" type="System" />
                            </conditions>
                            <actions>
                                <action id="-9" name="Destroy" sid="441298835337611" type="blur2" />
                                <action id="0" name="Call function" sid="974481728594967" type="Function">
                                    <param id="0" name="Name">&quot;nextStep&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                                <action id="0" name="Call function" sid="541539753784624" type="Function">
                                    <param id="0" name="Name">&quot;resumeRabbitAnimation&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="907929434184552">
                    <conditions />
                    <actions />
                    <sub-events>
                        <event-block sid="405430382534459">
                            <conditions />
                            <actions>
                                <action id="0" name="Call function" sid="979331669035543" type="Function">
                                    <param id="0" name="Name">&quot;hidePopup&quot;</param>
                                    <param id="1" name="Parameter {n}"></param>
                                </action>
                            </actions>
                        </event-block>
                    </sub-events>
                </event-block>
                <event-block sid="318832772993986">
                    <conditions>
                        <condition id="0" name="On function" sid="585427243382762" type="Function">
                            <param id="0" name="Name">&quot;playCorrectOptionVO&quot;</param>
                        </condition>
                    </conditions>
                    <actions>
                        <action id="0" name="Call function" sid="760009607686936" type="Function">
                            <param id="0" name="Name">&quot;audio.playByName&quot;</param>
                            <param id="1" name="Parameter {n}">Function.Call(&quot;getCurrentCorrOptVO&quot;, crrArrAnsIndex){###}&quot;correctOptVO&quot;</param>
                        </action>
                    </actions>
                </event-block>
            </sub-events>
        </event-group>
    </events>
</c2eventsheet>
